Index: aim.c
===================================================================
--- aim.c	(revision 36486be17f6eb6298a9c9b05929fe1b6f31e065b)
+++ aim.c	(revision c79a04782cf599c7fdc305dbe33acb4b8842c771)
@@ -230,5 +230,5 @@
 }
 
-void owl_aim_logged_out()
+void owl_aim_logged_out(void)
 {
   if (owl_global_is_aimloggedin(&g)) owl_function_adminmsg("", "Logged out of AIM");
@@ -408,5 +408,5 @@
 }
 
-int owl_aim_process_events()
+int owl_aim_process_events(void)
 {
   aim_session_t *aimsess;
@@ -1995,5 +1995,5 @@
 }
 
-void owl_process_aim()
+void owl_process_aim(void)
 {
   if (owl_global_is_doaimevents(&g)) {
Index: commands.c
===================================================================
--- commands.c	(revision e60f98c4893a405339aeacdcdccf80cacf61ec7f)
+++ commands.c	(revision c79a04782cf599c7fdc305dbe33acb4b8842c771)
@@ -995,10 +995,10 @@
 };
 
-void owl_command_info()
+void owl_command_info(void)
 {
   owl_function_info();
 }
 
-void owl_command_nop()
+void owl_command_nop(void)
 {
 }
@@ -1048,25 +1048,25 @@
 }
 
-void owl_command_alist()
+void owl_command_alist(void)
 {
   owl_function_buddylist(1, 0, NULL);
 }
 
-void owl_command_blist()
+void owl_command_blist(void)
 {
   owl_function_buddylist(1, 1, NULL);
 }
 
-void owl_command_toggleoneline()
+void owl_command_toggleoneline(void)
 {
   owl_function_toggleoneline();
 }
 
-void owl_command_about()
+void owl_command_about(void)
 {
   owl_function_about();
 }
 
-void owl_command_version()
+void owl_command_version(void)
 {
   owl_function_makemsg("BarnOwl version %s", OWL_VERSION_STRING);
@@ -1319,10 +1319,10 @@
 }
 
-void owl_command_expunge()
+void owl_command_expunge(void)
 {
   owl_function_expunge();
 }
 
-void owl_command_first()
+void owl_command_first(void)
 {
   owl_global_set_rightshift(&g, 0);
@@ -1330,15 +1330,15 @@
 }
 
-void owl_command_last()
+void owl_command_last(void)
 {
   owl_function_lastmsg();
 }
 
-void owl_command_resize()
+void owl_command_resize(void)
 {
   owl_function_resize();
 }
 
-void owl_command_redisplay()
+void owl_command_redisplay(void)
 {
   owl_function_full_redisplay();
@@ -1346,15 +1346,15 @@
 }
 
-void owl_command_shift_right()
+void owl_command_shift_right(void)
 {
   owl_function_shift_right();
 }
 
-void owl_command_shift_left()
+void owl_command_shift_left(void)
 {
   owl_function_shift_left();
 }
 
-void owl_command_unsuball()
+void owl_command_unsuball(void)
 {
   owl_function_unsuball();
@@ -1388,5 +1388,5 @@
 }
 
-void owl_command_suspend()
+void owl_command_suspend(void)
 {
   owl_function_suspend();
@@ -1672,5 +1672,5 @@
 }
 
-void owl_command_quit()
+void owl_command_quit(void)
 {
   owl_function_quit();
@@ -2311,5 +2311,5 @@
 }
 
-void owl_command_beep()
+void owl_command_beep(void)
 {
   owl_function_beep();
Index: fmtext.c
===================================================================
--- fmtext.c	(revision fb2f9ab8092bd0ab2cf489d2cad509d378fdd9b2)
+++ fmtext.c	(revision c79a04782cf599c7fdc305dbe33acb4b8842c771)
@@ -830,5 +830,5 @@
 
 /* Reset used list */
-void owl_fmtext_reset_colorpairs()
+void owl_fmtext_reset_colorpairs(void)
 {
   if (owl_global_get_hascolors(&g)) {
Index: functions.c
===================================================================
--- functions.c	(revision 27964fe3346a8e20734cb567ff512757eb1d1ad8)
+++ functions.c	(revision c79a04782cf599c7fdc305dbe33acb4b8842c771)
@@ -44,5 +44,5 @@
 }
 
-void owl_function_show_commands()
+void owl_function_show_commands(void)
 {
   owl_list l;
@@ -78,5 +78,5 @@
 }
 
-void owl_function_show_styles() {
+void owl_function_show_styles(void) {
   owl_list l;
   owl_fmtext fm;
@@ -120,5 +120,5 @@
 }
 
-void owl_function_show_license()
+void owl_function_show_license(void)
 {
   const char *text;
@@ -166,5 +166,5 @@
 }
 
-void owl_function_show_quickstart()
+void owl_function_show_quickstart(void)
 {
     const char *message =
@@ -357,5 +357,5 @@
 }
 
-void owl_function_loopwrite_setup()
+void owl_function_loopwrite_setup(void)
 {
   owl_editwin *e;
@@ -693,20 +693,20 @@
 }
 
-void owl_function_nextmsg()
+void owl_function_nextmsg(void)
 {
   owl_function_nextmsg_full(NULL, 0, 1);
 }
 
-void owl_function_prevmsg()
+void owl_function_prevmsg(void)
 {
   owl_function_prevmsg_full(NULL, 0, 1);
 }
 
-void owl_function_nextmsg_notdeleted()
+void owl_function_nextmsg_notdeleted(void)
 {
   owl_function_nextmsg_full(NULL, 1, 1);
 }
 
-void owl_function_prevmsg_notdeleted()
+void owl_function_prevmsg_notdeleted(void)
 {
   owl_function_prevmsg_full(NULL, 1, 1);
@@ -772,5 +772,5 @@
 }
 
-void owl_function_expunge()
+void owl_function_expunge(void)
 {
   int curmsg;
@@ -808,5 +808,5 @@
 }
 
-void owl_function_firstmsg()
+void owl_function_firstmsg(void)
 {
   owl_global_set_curmsg(&g, 0);
@@ -816,5 +816,5 @@
 }
 
-void owl_function_lastmsg_noredisplay()
+void owl_function_lastmsg_noredisplay(void)
 {
   int oldcurmsg, curmsg;
@@ -838,5 +838,5 @@
 }
 
-void owl_function_lastmsg()
+void owl_function_lastmsg(void)
 {
   owl_function_lastmsg_noredisplay();
@@ -844,5 +844,5 @@
 }
 
-void owl_function_shift_right()
+void owl_function_shift_right(void)
 {
   owl_global_set_rightshift(&g, owl_global_get_rightshift(&g)+10);
@@ -851,5 +851,5 @@
 }
 
-void owl_function_shift_left()
+void owl_function_shift_left(void)
 {
   int shift;
@@ -866,5 +866,5 @@
 }
 
-void owl_function_unsuball()
+void owl_function_unsuball(void)
 {
   unsuball();
@@ -946,5 +946,5 @@
 }
 
-void owl_function_suspend()
+void owl_function_suspend(void)
 {
   endwin();
@@ -956,5 +956,5 @@
 }
 
-void owl_function_zaway_toggle()
+void owl_function_zaway_toggle(void)
 {
   if (!owl_global_is_zaway(&g)) {
@@ -966,5 +966,5 @@
 }
 
-void owl_function_zaway_on()
+void owl_function_zaway_on(void)
 {
   owl_global_set_zaway_on(&g);
@@ -972,5 +972,5 @@
 }
 
-void owl_function_zaway_off()
+void owl_function_zaway_off(void)
 {
   owl_global_set_zaway_off(&g);
@@ -978,5 +978,5 @@
 }
 
-void owl_function_aaway_toggle()
+void owl_function_aaway_toggle(void)
 {
   if (!owl_global_is_aaway(&g)) {
@@ -988,5 +988,5 @@
 }
 
-void owl_function_aaway_on()
+void owl_function_aaway_on(void)
 {
   owl_global_set_aaway_on(&g);
@@ -995,5 +995,5 @@
 }
 
-void owl_function_aaway_off()
+void owl_function_aaway_off(void)
 {
   owl_global_set_aaway_off(&g);
@@ -1002,5 +1002,5 @@
 }
 
-void owl_function_quit()
+void owl_function_quit(void)
 {
   char *ret;
@@ -1227,10 +1227,10 @@
 }
 
-void owl_function_resize()
+void owl_function_resize(void)
 {
   owl_global_set_resize_pending(&g);
 }
 
-void owl_function_run_buffercommand()
+void owl_function_run_buffercommand(void)
 {
   owl_editwin_do_callback(owl_global_get_typwin(&g));
@@ -1264,5 +1264,5 @@
 }
 
-void owl_function_beep()
+void owl_function_beep(void)
 {
   if (owl_global_is_bell(&g)) {
@@ -1302,5 +1302,5 @@
 }
 
-void owl_function_full_redisplay()
+void owl_function_full_redisplay(void)
 {
   redrawwin(owl_global_get_curs_recwin(&g));
@@ -1384,5 +1384,5 @@
 }
 
-void owl_function_about()
+void owl_function_about(void)
 {
   owl_function_popless_text(
@@ -1410,5 +1410,5 @@
 }
 
-void owl_function_info()
+void owl_function_info(void)
 {
   const owl_message *m;
@@ -1545,5 +1545,5 @@
  * style the user may be using
  */
-void owl_function_curmsg_to_popwin()
+void owl_function_curmsg_to_popwin(void)
 {
   const owl_view *v;
@@ -1628,5 +1628,5 @@
 }
 
-void owl_function_mainwin_pagedown()
+void owl_function_mainwin_pagedown(void)
 {
   int i;
@@ -1643,5 +1643,5 @@
 }
 
-void owl_function_mainwin_pageup()
+void owl_function_mainwin_pageup(void)
 {
   owl_global_set_curmsg(&g, owl_global_get_topmsg(&g));
@@ -1649,5 +1649,5 @@
 }
 
-void owl_function_getsubs()
+void owl_function_getsubs(void)
 {
   char *buff;
@@ -1664,5 +1664,5 @@
 }
 
-void owl_function_printallvars()
+void owl_function_printallvars(void)
 {
   const char *name;
@@ -1691,5 +1691,5 @@
 }
 
-void owl_function_show_variables()
+void owl_function_show_variables(void)
 {
   owl_list varnames;
@@ -1745,5 +1745,5 @@
 }
 
-void owl_function_delete_automsgs()
+void owl_function_delete_automsgs(void)
 {
   /* mark for deletion all messages in the current view that match the
@@ -1778,5 +1778,5 @@
 }
 
-void owl_function_status()
+void owl_function_status(void)
 {
   char buff[MAXPATHLEN+1];
@@ -1858,5 +1858,5 @@
 }
 
-void owl_function_show_term()
+void owl_function_show_term(void)
 {
   owl_fmtext fm;
@@ -2271,5 +2271,5 @@
 }
 
-void owl_function_show_filters()
+void owl_function_show_filters(void)
 {
   const owl_list *l;
@@ -2316,5 +2316,5 @@
 }
 
-void owl_function_show_zpunts()
+void owl_function_show_zpunts(void)
 {
   const owl_filter *f;
@@ -2749,5 +2749,5 @@
 }
 
-void owl_function_show_colors()
+void owl_function_show_colors(void)
 {
   owl_fmtext fm;
@@ -2899,5 +2899,5 @@
 }
 
-void owl_function_show_keymaps()
+void owl_function_show_keymaps(void)
 {
   owl_list l;
@@ -3379,5 +3379,5 @@
 }
 
-void owl_function_toggleoneline()
+void owl_function_toggleoneline(void)
 {
   owl_view *v;
@@ -3438,5 +3438,5 @@
 }
 
-void owl_function_showerrs()
+void owl_function_showerrs(void)
 {
   owl_fmtext fm;
@@ -3552,5 +3552,5 @@
 }
 
-int owl_function_get_color_count()
+int owl_function_get_color_count(void)
 {
      return COLORS;
@@ -3579,5 +3579,5 @@
 }
 
-void owl_function_mark_message()
+void owl_function_mark_message(void)
 {
   const owl_message *m;
@@ -3598,5 +3598,5 @@
 }
 
-void owl_function_swap_cur_marked()
+void owl_function_swap_cur_marked(void)
 {
   int marked_id;
Index: help.c
===================================================================
--- help.c	(revision e19eb97bacd75cf02905ec2b7a6a73b9642b907a)
+++ help.c	(revision c79a04782cf599c7fdc305dbe33acb4b8842c771)
@@ -2,5 +2,5 @@
 #include <string.h>
 
-void owl_help()
+void owl_help(void)
 {
   owl_fmtext fm;
Index: logging.c
===================================================================
--- logging.c	(revision e2ebf392f00590bbd2abc319d6903521b29a4045)
+++ logging.c	(revision c79a04782cf599c7fdc305dbe33acb4b8842c771)
@@ -179,5 +179,5 @@
 
   /* create a present message so we can pass it to
-   * owl_log_shouldlog_message()
+   * owl_log_shouldlog_message(void)
    */
   m = owl_malloc(sizeof(owl_message));
Index: message.c
===================================================================
--- message.c	(revision 24ccc01260afb7fd3aa52ade9b9bcc4e4075b504)
+++ message.c	(revision c79a04782cf599c7fdc305dbe33acb4b8842c771)
@@ -14,5 +14,5 @@
 static owl_fmtext_cache * fmtext_cache_next = fmtext_cache;
 
-void owl_message_init_fmtext_cache ()
+void owl_message_init_fmtext_cache(void)
 {
     int i;
@@ -23,5 +23,5 @@
 }
 
-owl_fmtext_cache * owl_message_next_fmtext() /*noproto*/
+owl_fmtext_cache *owl_message_next_fmtext(void) /*noproto*/
 {
     owl_fmtext_cache * f = fmtext_cache_next;
Index: owl.c
===================================================================
--- owl.c	(revision 4e4847c43520c792fa6e17596790361ca5db61a9)
+++ owl.c	(revision c79a04782cf599c7fdc305dbe33acb4b8842c771)
@@ -46,5 +46,5 @@
 } owl_options;
 
-void usage()
+void usage(void)
 {
   fprintf(stderr, "Barnowl version %s\n", OWL_VERSION_STRING);
Index: select.c
===================================================================
--- select.c	(revision 69f47f81a94980d0477a3d1cd948dea0889b4737)
+++ select.c	(revision c79a04782cf599c7fdc305dbe33acb4b8842c771)
@@ -152,5 +152,5 @@
 }
 
-int owl_select_dispatch_count()
+int owl_select_dispatch_count(void)
 {
   return owl_list_get_size(owl_global_get_dispatchlist(&g));
@@ -215,5 +215,5 @@
 }
 
-void owl_select_gc()
+void owl_select_gc(void)
 {
   int i;
@@ -325,5 +325,5 @@
 }
 
-void owl_select_handle_intr()
+void owl_select_handle_intr(void)
 {
   owl_input in;
@@ -336,5 +336,5 @@
 }
 
-void owl_select()
+void owl_select(void)
 {
   int i, max_fd, aim_max_fd, aim_done, ret;
Index: util.c
===================================================================
--- util.c	(revision da60ba916194bd359810f0be9b5110c6bff8744e)
+++ util.c	(revision c79a04782cf599c7fdc305dbe33acb4b8842c771)
@@ -454,5 +454,5 @@
 
 /* Get the default tty name.  Caller must free the return */
-char *owl_util_get_default_tty()
+char *owl_util_get_default_tty(void)
 {
   const char *tmp;
@@ -475,5 +475,5 @@
 
 /* Animation hack */
-void owl_hack_animate()
+void owl_hack_animate(void)
 {
   const owl_messagelist *ml;
@@ -671,5 +671,5 @@
 }
 
-const char * owl_get_datadir()
+const char * owl_get_datadir(void)
 {
   const char * datadir = getenv("BARNOWL_DATA_DIR");
Index: zephyr.c
===================================================================
--- zephyr.c	(revision da60ba916194bd359810f0be9b5110c6bff8744e)
+++ zephyr.c	(revision c79a04782cf599c7fdc305dbe33acb4b8842c771)
@@ -15,5 +15,5 @@
 } owl_sub_list;
 
-Code_t ZResetAuthentication();
+Code_t ZResetAuthentication(void);
 #endif
 
@@ -21,5 +21,5 @@
 
 #ifdef HAVE_LIBZEPHYR
-void owl_zephyr_initialize()
+void owl_zephyr_initialize(void)
 {
   int ret;
@@ -127,5 +127,5 @@
 }
 
-void owl_zephyr_load_initial_subs() {
+void owl_zephyr_load_initial_subs(void) {
   int ret_sd, ret_bd, ret_u;
 
@@ -154,11 +154,11 @@
 }
 #else
-void owl_zephyr_initialize()
-{
-}
-#endif
-
-
-int owl_zephyr_shutdown()
+void owl_zephyr_initialize(void)
+{
+}
+#endif
+
+
+int owl_zephyr_shutdown(void)
 {
 #ifdef HAVE_LIBZEPHYR
@@ -171,5 +171,5 @@
 }
 
-int owl_zephyr_zpending()
+int owl_zephyr_zpending(void)
 {
 #ifdef HAVE_LIBZEPHYR
@@ -183,5 +183,5 @@
 }
 
-const char *owl_zephyr_get_realm()
+const char *owl_zephyr_get_realm(void)
 {
 #ifdef HAVE_LIBZEPHYR
@@ -192,5 +192,5 @@
 }
 
-const char *owl_zephyr_get_sender()
+const char *owl_zephyr_get_sender(void)
 {
 #ifdef HAVE_LIBZEPHYR
@@ -316,5 +316,5 @@
  * Return -2 if there is a failure from zephyr to load the subscriptions.
  */
-int owl_zephyr_loadbarnowldefaultsubs()
+int owl_zephyr_loadbarnowldefaultsubs(void)
 {
 #ifdef HAVE_LIBZEPHYR
@@ -340,5 +340,5 @@
 }
 
-int owl_zephyr_loaddefaultsubs()
+int owl_zephyr_loaddefaultsubs(void)
 {
 #ifdef HAVE_LIBZEPHYR
@@ -415,5 +415,5 @@
 }
 
-void unsuball()
+void unsuball(void)
 {
 #if HAVE_LIBZEPHYR
@@ -1124,5 +1124,5 @@
  * free the return.
  */
-char *owl_zephyr_getsubs()
+char *owl_zephyr_getsubs(void)
 {
 #ifdef HAVE_LIBZEPHYR
